package com.xhpc.order.mapper;

import com.xhpc.order.domain.XhpcChargingStationPower;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2023-06-28 14:19
 */
public interface XhpcChargingStationPowerMapper {

    //获取所有场站
    List<Map<String,Object>> getChargingStationId();

    //查询是否已统计（订单编号、时间段）
    List<Map<String,Object>> getXhpcRealTimeOrderList(@Param("chargingStationId") Long chargingStationId,@Param("terminalId") Long terminalId,@Param("sterTime")String sterTime,@Param("endTime")String endTime,@Param("number")Integer number,@Param("subTime")String subTime);

    //查询是否已统计
    int duplicateStatistics(@Param("chargingStationId") Long chargingStationId,@Param("terminalId") Long terminalId,@Param("number")Integer number,@Param("subTime")String subTime,@Param("createTime")String createTime);

    //获取终端
    List<Map<String,Object>> getXhpcTerminals(@Param("chargingStationId") Long chargingStationId);

    void addXhpcChargingStationPower(XhpcChargingStationPower xhpcChargingStationPower);

    List<Map<String,Object>> getListPage(@Param("params") Map<String, Object> params);

    /**
     * 获取登陆用户信息
     */
    Map<String, Object> getLandUser(@Param("userId")Long userId);

    List<Map<String,Object>> getMaxPowerList(@Param("params") Map<String, Object> params);
}
